## WebKitDOMHTMLBaseFontElement

WebKitDOMHTMLBaseFontElement

## Functions

gchar * | webkit_dom_html_base_font_element_get_color ()
void | webkit_dom_html_base_font_element_set_color ()
gchar * | webkit_dom_html_base_font_element_get_face ()
void | webkit_dom_html_base_font_element_set_face ()
glong | webkit_dom_html_base_font_element_get_size ()
void | webkit_dom_html_base_font_element_set_size ()

## Properties

gchar * | color | Read / Write
gchar * | face | Read / Write
glong | size | Read / Write

## Types and Values

| WebKitDOMHTMLBaseFontElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLBaseFontElement

## Implemented Interfaces

WebKitDOMHTMLBaseFontElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_base_font_element_get_color ()

    gchar *
    webkit_dom_html_base_font_element_get_color
                                   (WebKitDOMHTMLBaseFontElement *self);

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |

#### Returns

A gchar

### webkit_dom_html_base_font_element_set_color ()

    void
    webkit_dom_html_base_font_element_set_color
                                   (WebKitDOMHTMLBaseFontElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |
value | A gchar |

### webkit_dom_html_base_font_element_get_face ()

    gchar *
    webkit_dom_html_base_font_element_get_face
                                   (WebKitDOMHTMLBaseFontElement *self);

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |

#### Returns

A gchar

### webkit_dom_html_base_font_element_set_face ()

    void
    webkit_dom_html_base_font_element_set_face
                                   (WebKitDOMHTMLBaseFontElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |
value | A gchar |

### webkit_dom_html_base_font_element_get_size ()

    glong
    webkit_dom_html_base_font_element_get_size
                                   (WebKitDOMHTMLBaseFontElement *self);

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |

#### Returns

A glong

### webkit_dom_html_base_font_element_set_size ()

    void
    webkit_dom_html_base_font_element_set_size
                                   (WebKitDOMHTMLBaseFontElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLBaseFontElement |
value | A glong |

## Types and Values

### WebKitDOMHTMLBaseFontElement

    typedef struct _WebKitDOMHTMLBaseFontElement WebKitDOMHTMLBaseFontElement;

## Property Details

### The `“color”` property

      “color”                    gchar *

read-write gchar* HTMLBaseFontElement:color.

Flags: Read / Write

Default value: ""

### The `“face”` property

      “face”                     gchar *

read-write gchar* HTMLBaseFontElement:face.

Flags: Read / Write

Default value: ""

### The `“size”` property

      “size”                     glong

read-write glong HTMLBaseFontElement:size.

Flags: Read / Write

Default value: 0